'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _mdc = require('@material/ripple/dist/mdc.ripple');

var _adapterUtilities2 = require('./adapter-utilities');

var _adapterUtilities3 = _interopRequireDefault(_adapterUtilities2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var centered = _ref.centered,
      disabled = _ref.disabled,
      element = _ref.element,
      self = _ref.self,
      updateClassNames = _ref.updateClassNames,
      updateCssVariables = _ref.updateCssVariables;

  var _adapterUtilities = (0, _adapterUtilities3.default)(),
      addClass = _adapterUtilities.addClass,
      computeBoundingRect = _adapterUtilities.computeBoundingRect,
      deregisterInteractionHandler = _adapterUtilities.deregisterInteractionHandler,
      isSurfaceActive = _adapterUtilities.isSurfaceActive,
      isSurfaceDisabled = _adapterUtilities.isSurfaceDisabled,
      isUnbounded = _adapterUtilities.isUnbounded,
      registerInteractionHandler = _adapterUtilities.registerInteractionHandler,
      removeClass = _adapterUtilities.removeClass,
      updateCssVariable = _adapterUtilities.updateCssVariable;

  return new _mdc.MDCRippleFoundation(_extends({}, _mdc.MDCRipple.createAdapter(self), {
    addClass: addClass(updateClassNames),
    computeBoundingRect: computeBoundingRect(element),
    deregisterInteractionHandler: deregisterInteractionHandler(element),
    isUnbounded: isUnbounded(centered),
    isSurfaceActive: isSurfaceActive(element),
    isSurfaceDisabled: isSurfaceDisabled(disabled),
    removeClass: removeClass(updateClassNames),
    registerInteractionHandler: registerInteractionHandler(element),
    updateCssVariable: updateCssVariable(updateCssVariables)
  }));
};